/**
COLOR
 */
$darkBlue: #2F3542;
$lightBlue: #57606F;
$darkGrey: #3D3D3D;
$lightGrey: #404040;
$blue: #00165E;
$gold: #E3BA32;
/**
RESET
 */
* {
  content: "";
  font-family: Raleway, Arial, sans-serif;
  color: inherit;
}

html, body {
  margin: 0;
  padding: 0;
  background-color: #57606f;
  position: relative;
  width: 100%;
  height: 100%;
}

nav{
  display: block;
  position: relative;
  top: 0;
  left: 0;
}

h1, h2, h3, h4, h5, h6, p, a, span{
  margin: 0;
  -webkit-margin-start: 0;
  -webkit-margin-end: 0;
  margin-block-start: 0;
  margin-block-end: 0;
  padding: 2px;
  text-decoration: none;
  display: inherit;
}

header, body, section, footer{
  display: block;
  margin: 0;
  padding: 0;
  position: relative;
  clear: both;
  z-index: 10;
}

ul, li {
  padding: 0;
  margin: 0;
  list-style: none;
}

/**
COMMON
 */
header {
  background-color: $darkBlue;
  color: white;
  width: 100%;
  height: auto;
}

.container {
  display: block;
  width: 1140px;
  margin: 0 auto;
  position: relative;
}

.flex-block{
  display: flex;
  flex-direction: row;
  width: 100%;

  .flex-align-right{
    justify-content: flex-end;
  }

  .flex-item{
    display: block;
    width: inherit;
  }
}

.row-block {
  margin: 25px;
  display: inline-flex;
  width: 100%;

  .block {
    margin: 0 5px 0 5px !important;
  }

  .block:first-child {
    margin-left: 0!important;
  }

  .block:last-child {
    margin-right: 0 !important;
  }
}

.block {
  display: block;
  position: relative;
  width: 100%;
  border: 1px solid $darkGrey;
  background-color: white;
  margin-top: 25px;

  .block-header {
    display: block;
    background-color: $lightBlue;
    padding: 10px;
    color: white;
  }

  .block-content {
    display: block;
    padding: 10px;
    max-height: 300px;
    overflow-y: auto;
  }

  .block-content::-webkit-scrollbar{
    background-color: #223044;
    width: 5px;
  }

  .block-content::-webkit-scrollbar-thumb {
    background-color: $lightBlue;
    width: 3px;
  }
}

.item-block {
  @extend .block;

  margin: 10px;

  .item-block-header {
    background-color: white;
    position: relative;
    color: black;
    z-index: 2;

    img {
      display: block;
      width: 100%;
      z-index: 2;
    }

    .box-underground {
      z-index: 2;
      left: 50%;
      right: 0;
      bottom: -62px;
      width: 50px;
      height: 50px;
      transform: rotate(45deg) translateX(-50%);
    }

    .title {
      position: absolute;
      width: -webkit-fill-available;
      z-index: 3;
      padding: 5px 10px;
      color: $darkGrey;
    }
  }

  .item-block-content {
    display: block;
    position: relative;
    color: white;
    margin: 32px 0 0 0;
    padding: 25px 10px 10px 10px;
    background-color: $darkBlue;
    z-index: 1;

    .align-text-center {
      transform: none;
      text-align: center;
    }

    .gold {
      padding: 5px 0;
      color: #e0ab40;
      font-size: 15pt;
      font-weight: bold;
    }
  }

  .item-block-footer{
    display: block;
    background-color: $darkBlue;
    padding: 10px;
    align-content: center;
    justify-content: center;

    .btn {
      display: block;
      margin: 0 auto;
      width: fit-content;
      border: 1px solid $lightGrey;
      background-color: white;
      color: $lightGrey;
      padding: 8px 15px;
      font-weight: bold;
      font-size: 13pt;
    }
  }

}

.block-article {
  display: block;
  margin: 50px 0;
  width: 100%;
  height: auto;

  .article-title{
    color: white;
    margin-top: 25px;
  }

  .block-header {
    display: flex;

    .block-left, .block-right {
      display: block;
      padding: 2px;
      width: 100%;
      max-width: 100%;
      color: white;
    }

    .block-left {
      padding-right: 15px;
    }

    .picture {
      display: block;
      width: inherit;
      background-color: #3D3D3D;
    }
  }

  .details {
    margin: 10px 0;
  }

  .block-content {
    margin: 10px 0;
    display: block;
    background-color: $darkBlue;

    .btn {
      display: inline-block;
      padding: 8px 30px;
      background-color: white;
      border: 2px solid $lightBlue;
      color: $darkBlue;
      font-weight: 600;
      margin: 10px auto;
    }

    .box {
      display: block;
      width: 100%;
      height: 20px;
      background-color: white;
      position: relative;

      .box-underground {
        width: 24px;
        height: 24px;
        left: 50%;
        top: 5px;
        transform: rotate(45deg) translateX(-50%);
      }
    }

    .container {
      width: 80%;
      text-align: center;
      justify-content: center;
      margin: 20px auto;
    }
  }
}

.block-red {
  background-color: #e13c41;
  border-color: #ff4449;
}

.big-block {

  .block-content {
    max-height: 600px;
  }
}

.block:first-child {
  margin-top: 0 !important;
}

.block-sm {
  width: 33.3334%;
}

.block-md {
  width: 49.9%;
}

.block-lg {
  width: 66.6664%;
}

.align-self-start {
  align-self: flex-start;
}

.align-self-center {
  align-self: center;
}

.justify-content-center {
  justify-content: center;
}

.align-text-center{
  position: relative;
  top: 100%;
  transform: translateY(-50%);
}

.btn-separator {
  margin-right: 11px;
  position: relative;
}

.btn-separator:after {
  display: block;
  position: absolute;
  padding-right: 5px;
  border-right: 1px solid white;
  height: 80%;
  top: 5px;
  left: 100%;
  content: "";
  clear: both;
}

.icon {
  display: block;
  width: 80px;
  position: absolute;
  z-index: 1;
}

.box-underground{
  display: block;
  position: absolute;
  background-color: white;
  transform: rotate(45deg);
  width: 80px;
  height: 80px;
}

.msg {
  display: block;
  width: 720px;
  top: -40px;
  left: 50%;
  transform: translateX(-50%);
  position: absolute;
  z-index: 10;
  line-height: 25px;
  padding: 5px 25px;
  background-color: #ef4c48;
  border: 1px solid #98292d;
  color: #ffffff;
}

@keyframes border-bottom-hover {
  from {
    border-bottom-color: rgba(255,255,255,0);
  }

  to {
    border-bottom-color: rgb(255,255,255);
  }
}

/**
ALL
 */
#navbar{
  display: grid;

  #navbar-top{
    line-height: 40px;

    a {
      padding: 0 5px;
    }
  }

  #navbar-items{
    background-color: white;
    color: black;
    line-height: 50px;
    border-bottom: 10px solid $darkBlue;

    .flex-item {
      width: max-content;

      a {
        color: black;
      }
    }

    #navbar-left-part, #navbar-right-part {
      width: 50%;

      .flex-item {
        padding: 0 15px;
        color: $blue;
      }
    }

    #navbar-left-part {
      margin-right: 75px;

      .flex-block {
        justify-content: flex-end;
      }
    }

    #navbar-right-part {
      margin-left: 75px;
    }

    #navbar-mid-part {
      display: block;
      position: absolute;
      left: 50%;
      top: -28px;

      img[class*=icon] {
        transform: translateX(-50%);
      }

      span[class*=box-underground] {
        transform: translateX(-50%) rotate(45deg);
      }
    }

  }
}

main {
  padding: 50px;
  min-height: calc(100% - (105px + 256px));
}

#home {
  padding: 0;
  display: inline;

  .home-block {
    width: 100%;
    height: 100%;
    position: relative;
    display: block;
    z-index: 1;
  }

  .min-home-block {
    height: calc(100% - 105px) !important;
  }
}

.diaporama {
  display: inherit;
  width: 100%;
  height: 100%;
  position: relative;

  .diaporama-bar {
    position: absolute;
    bottom: 20px;
    height: 30px;
    width: 100%;
    left: 0;
    display: inline-flex;
    justify-content: center;
    align-items: center;

    .diaporama-pointer {
      border-radius: 100%;
      background-color: white;
      width: 22px;
      height: 22px;
      border: 2px solid #3D3D3D;
      display: block;
      margin: 0 5px;
      cursor: pointer;
    }

    .active {
      background-color: #2F3542 !important;
    }

  }

  .hide {
    visibility: hidden;
    display: none;
  }

  .visible {
    display: block;
    visibility: visible;
  }

  img {
    width: inherit !important;
    height: inherit !important;
  }
}

.menu {
  display: block;
  position: relative;
  width: 100%;
  margin: 0;
  padding: 0;
  border: 1px solid $darkGrey;

  .menu-header {
    background-color: white;

    .menu-head {
      background-color: $darkBlue;
      color: white;
      padding: 10px;
    }

  }

  .menu-wrapper {
    display: inline-flex;
    width: 100%;
    height: auto;

    .menu-nav {
      background-color: $lightGrey;
      color: white;
      padding: 10px;
      width: 225px;
      height: auto;

      li a {
        display: block;
        padding: 8px 0;
        font-weight: 600;
        border-bottom: 2px solid rgba(0, 0, 0, 0);
      }

      li a:hover {
        border-bottom: 2px solid white;
        animation-name: border-bottom-hover;
        animation-duration: 1s;
      }
    }

    .menu-content {
      background-color: white;
      width: 100%;
      padding: 10px;
    }
  }
}

form {
  display: grid;
  z-index: 5;
  position: relative;
  min-width: 500px;
  margin: 10px auto;
  background-color: white;
  border: 2px solid $darkGrey;
  border-radius: 3px;
  justify-items: center;
  padding-bottom: 10px;

  header {
    padding: 10px;
    width: 100%;
    width: -webkit-fill-available;
  }

  label {
    margin: 10px 0;
  }

  label, input {
    display: block;
    width: 250px;
    text-align: center;
  }

  input[type="text"],input[type="tel"],input[type="password"],input[type="email"],input[type="number"] {
    width: 250px;
    height: 30px;
    border: none;
    border-bottom: 2px solid $lightBlue;
  }

  input[type="checkbox"] {
    border: 1px solid $lightGrey;
    background-color: white;
    width: 18px;
    height: 18px;
    cursor: pointer;
  }

  input::placeholder {
    font-family: Raleway, sans-serif !important;
    font-style: normal;
    text-transform: lowercase;
    font-size: 13pt !important;
    color: $lightBlue;
  }

  .form-group {
    display: flex;
    flex-direction: row;
  }

  .form-part {
    display: flex;
    flex-direction: column;
    margin: 10px 50px;
  }

  .form-large {
    width: 600px;
    margin: 0 auto;
    input {
      margin: 0 auto;
    }
  }

  p {
    text-align: justify;
  }

  .btn {
    display: block;
    cursor: pointer;
    border: 1px solid $darkGrey;
    background-color: $lightGrey;
    box-shadow: 0 0 3px black;
    color: white;
    margin: 10px 0;
    text-align: center;
    font-size: 13pt;
    padding: 5px 7px;
  }

  select {
    padding: 5px;
    font-size: 10pt;
    width: 250px;
  }

}

section {
  header {
    padding: 10px 0;
  }
}

footer {
  background-color: $darkGrey;
  color: white;
  text-align: center;
  position: relative;
  bottom: 0;
  padding: 20px 0;

  #footer-logo{
    margin: 5px auto;
    display: block;
    img {
      width: 128px;
    }
  }

  #copyright {
    margin: 15px 0 0 0;
  }

  p a {
    display: inline-flex;
    width: max-content;
  }
}

#maintenance {
  display: block;
  height: 100%;
  width: 100%;
  text-align: center;
  color: white;

  .container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
  }
}